	program magics

	call popen

	call pset1c("output_formats", (/"png"/), 1)
	call psetc("output_name", "contour3")
	call psetc("output_name_first_page_number", "off")

	call psetr("subpage_lower_left_longitude", -37.27)
	call psetr("subpage_upper_right_longitude", 65.00)
	call psetr("subpage_upper_right_latitude", 51.28)
	call psetc("subpage_map_projection", "polar_stereographic")
	call psetr("subpage_lower_left_latitude", 21.51)

	call psetc("map_coastline_land_shade_colour", "cream")
	call psetc("map_grid_colour", "tan")
	call psetc("map_grid", "on")
	call psetc("map_coastline_colour", "tan")
	call psetc("map_coastline_land_shade", "on")
	call pcoast

	call pseti("grib_field_position", 1)
	call psetc("grib_input_file_name", "t850.grb")
	call pgrib

	call psetc("contour_level_selection_type", "interval")
	call psetc("contour_line_colour", "red")
	call pseti("contour_line_thickness", 2)
	call psetr("contour_label_height", 0.30)
	call psetc("contour_highlight", "off")
	call psetc("contour_label", "on")
	call psetr("contour_min_level", 2.00)
	call psetc("legend", "off")
	call psetr("contour_interval", 5.00)
	call pcont

	call psetc("contour_level_selection_type", "interval")
	call psetc("contour_line_colour", "blue")
	call pseti("contour_line_thickness", 2)
	call psetr("contour_label_height", 0.40)
	call psetc("contour_highlight", "off")
	call psetc("contour_label", "on")
	call psetr("contour_max_level", -2.00)
	call psetc("legend", "off")
	call psetr("contour_interval", 5.00)
	call pcont

	call psetc("contour_level_selection_type", "level_list")
	call psetc("contour_highlight", "off")
	call psetc("contour_label", "off")
	call pset1r("contour_level_list", (/0.00/), 1)
	call psetc("contour_line_colour", "black")
	call pseti("contour_line_thickness", 4)
	call psetc("legend", "off")
	call pcont

	call pset1c("text_lines", (/"Positive values are <font colour='red'>red </font>", "Negative values are <font colour='blue'>blue </font>", "0 is a black line "/), 3)
	call psetr("text_font_size", 0.80)
	call psetc("text_justification", "left")
	call psetc("text_colour", "charcoal")
	call ptext

	call pclose

	end
